Package Details: ocaml-result-git r10.e762be3-2

Git Clone URL: https://aur.archlinux.org/ocaml-result-git.git (read-only)
Package Base: ocaml-result-git
Description: Compatibility Result module (git master)
Upstream URL: https://github.com/janestreet/result
Licenses: BSD
Conflicts: ocaml-result
Provides: ocaml-result
Submitter: SmashedSqwurl
Maintainer: SmashedSqwurl
Last Packager: SmashedSqwurl
Votes: 0
Popularity: 0.000000
First Submitted: 2017-07-30 15:26
Last Updated: 2017-08-09 00:37

Dependencies (3)

Required by (6)

Sources (1)

Latest Comments

catalin.hritcu commented on 2018-09-07 08:02

This fails with the same error message even with dune. The non-git version of this package from the arch extra works though.

catalin.hritcu commented on 2018-09-07 07:47

Is this package supposed to work with dune or it really requires jbuilder? Currently jbuilder is marked as the dependency, but even when I switch from dune to jbuilder-git things fail like this for me:

jbuilder install --prefix /var/cache/pacman/pkg/ocaml-result-git27712/ocaml-result-git/pkg/ocaml-result-git/usr --libdir /var/cache/pacman/pkg/ocaml-result-git27712/ocaml-result-git/pkg/ocaml-result-git/usr/lib/ocaml
dune: option `--prefix': no
      `/var/cache/pacman/pkg/ocaml-result-git27712/ocaml-result-git/pkg/ocaml-result-git/usr'
      directory
Usage: dune install [OPTION]... [PACKAGE]...
Try `dune install --help' or `dune --help' for more information.

SmashedSqwurl commented on 2017-08-09 00:37

@isra17

Thanks, it should be fixed now.

isra17 commented on 2017-08-07 14:52

Package require jbuilder-git to build, else it fails with --libdir being unsupported.